---
title: "Nextcloud"
date: 2023-01-11T17:08:23+03:00
description: >
  Швейцарский нож в деле совместной работы
---

Совместная работа - это хранение файлов, документооборот, видеоконференции, календарь общих мероприятий и прочее в этом духе. Как правило, люди склонны доверять личную жизнь и бизнес сторонним сервисам. Однако, есть возможность держать все это на своем сервере.

Мы выбираем [Nextcloud](https://nextcloud.com/) - свободное программное обеспечение для удобного планирования и хранения файлов.

- [Официальный сайт проекта](https://nextcloud.com/)

## Аутентификация

При создании сервера создается пользователь `admin` Nextcloud с паролем, который вы использовали для вашего основного пользователя.

Для добавления новых пользователей:

1. Перейдите в админ панель управления пользователями, на веб-интерфейсе вашего Nextcloud.

{{< imgproc nextcloud1 Fill "1275x853" />}}

2. Нажмите кнопку "New user"

{{< imgproc nextcloud2 Fill "1278x415" />}}

## Рекомендуемые клиенты

- WEB-интерфейс: доступен после настройки сервера SelfPrivacy, по адресу `https://cloud.ВАШ.ДОМЕН`
- [Официальное приложение](https://nextcloud.com/install/#install-clients) (GNU/Linux, Windows, macOS, Android, iOS)

## Как сбросить админ пароль

Для следующих действий вам нужно будет подключиться по ssh к серверу с правами администратора. Минимальное понимание работы командной строки приветствуется ;)

Инструкцию по подключению вы можете [прочитать тут](http://selfprivacy.org/ru/docs/how-to-guides/root_ssh/).

После подключения введите команду:

```nextcloud-occ user:resetpassword admin```

Вас попросят ввести новый пароль, отображение символов будет скрыто.

## ЧаВо

### Не работает Nextcloud Updater

Всё нормально, так и должно быть. Nextcloud обновляется через NixOS. Обновления зависят от нашего NixOS репозитория, всё  происходит без вашего участия.

### Почему я не могу использовать мой Nextcloud в сторонних сервисах?

Такое может быть, если в стороннем сервере стоит ограничение на привязку только к конкретному инстансу Nextcloud.

### Стоит ли мне использовать расширение для шифрования своего Nextcloud?

Мы не рекомендуем. Ключи шифрования будут храниться на сервере, что делает такое шифрование практически бессмысленным.

## Настройка контактов и календаря в web-клиенте Nextcloud

### Дополнение контактов

1. Откройте ваш Nextcloud, справа вверху нажмите на иконку контактов. Далее нажмите на надпись "Install the Contacts app".

{{< imgproc nextcloud_add_contact Fill "1276x610" />}}

2. Нажмите "Download and enable".

{{< imgproc nextcloud_add_contact2 Fill "1280x704" />}}

3. Теперь у вас появился новый пункт в меню.

{{< imgproc nextcloud_add_contact3 Fill "1278x726" />}}

### Дополнение календаря

1. Нажмите на аватарку вашего профиля, справа сверху.

2. В выпадающем меню нажмите "Apps".

3. Вы перешли в магазин дополнений, перейдите в категорию "Organization" и найдите там дополнение "Calendar".

4. Нажмите "Download and enable".
  
{{< imgproc nextcloud_add_contact4 Fill "1275x1169" />}}

5. У вас снова появился новый пункт в меню.

{{< imgproc nextcloud_add_contact5 Fill "1281x465" />}}

## Синхронизация Nextcloud на разных устройствах

Скачайте [основное приложение Nextcloud](https://nextcloud.com/install/#install-clients) (GNU/Linux, Windows, macOS, Android, iOS). Оно поможет синхронизировать файлы.

Как настроить синхронизацию контактов и календаря? Инструкции на русском для разных систем и приложений.

- [iOS](https://docs.nextcloud.com/server/latest/user_manual/ru/groupware/sync_ios.html#)
- [macOS](https://docs.nextcloud.com/server/latest/user_manual/ru/groupware/sync_osx.html)
- [Windows 10](https://docs.nextcloud.com/server/latest/user_manual/ru/groupware/sync_windows10.html)
- Android — читайте ниже

- [Thunderbird](https://docs.nextcloud.com/server/latest/user_manual/ru/groupware/sync_thunderbird.html)
- [KDE Kontact](https://docs.nextcloud.com/server/latest/user_manual/ru/groupware/sync_kde.html)
- [Рабочий стол GNOME](https://docs.nextcloud.com/server/latest/user_manual/ru/groupware/sync_gnome.html)

# Как синхронизировать Nextcloud c Android смартфоном?

1. Скачайте приложение [DAVx⁵](https://www.davx5.com/download/) на ваше Android устройство, из [F-Droid](https://f-droid.org/de/packages/at.bitfire.davdroid/) или [Google Play Store](https://play.google.com/store/apps/details?id=at.bitfire.davdroid).

2. Войдите в приложение, создайте новую учётную запись кнопкой "плюс".

3. В меню создания аккаунта, выберете последний пункт "Nextcloud".

4. Приложение предложит ввести ссылку на ваш экземпляр Nextcloud. Ссылка должна выглядить по примеру: `https://cloud.ВАШ.ДОМЕН`.

5. Откроется браузер. Вам нужно войти в свой Nextcloud аккаунт, и разрешить доступ.

{{< imgproc nextcloud3 Fill "1134x466" />}}

6. Возвращаемся назад в приложение DAVx⁵. В качестве имени, введите свою почту которая зарегистрирована в настройках аккаунта Nextcloud.

7. В пункте "Метод контактной группы" выберите вариант "Группы являются категориями контактов".

{{< imgproc nextcloud4 Fill "1200x573" />}}

8. Выберите данные, которые вы хотите синхронизировать.
